Package org.eclipse.mat.parser.internal.oql.compiler

## Class Expression

- java.lang.Object
- - org.eclipse.mat.parser.internal.oql.compiler.Expression

Direct Known Subclasses:
  `QueryExpression`

    public abstract class Expression
    extends java.lang.Object

### Constructor Summary

Constructors
`Expression()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract java.lang.Object` `compute​(EvaluationContext ctx)`
`abstract boolean` `isContextDependent​(EvaluationContext ctx)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Expression

    public Expression()

### Method Detail

#### compute

    public abstract java.lang.Object compute​(EvaluationContext ctx)
                                      throws SnapshotException,
                                             IProgressListener.OperationCanceledException

Throws:
  `SnapshotException`
  `IProgressListener.OperationCanceledException`

#### isContextDependent

    public abstract boolean isContextDependent​(EvaluationContext ctx)